Exclusive eBooks, Software Solutions, Quality Guaranteed
 
Web NukeBiz
Welcome to NukeBiz · Members
Amazon
show cart or checkout0 items
Cart Value: 0.00

Forums » DragonflyCMS Projects » BlogsPlus » This module is not correctly installed
This module is not correctly installed
An update of BlogsPlus which is an update of Blogs.
Topic initiation via Bugger.

Post new topic    Reply to topic    Printer Friendly Page     Forum Index »  Community » BlogsPlus

View previous topic :: View next topic  
Author Message
Dizfunkshunal
Operator
Operator

Offline Offline
Joined: May 26, 2007
Posts: 69

PostPosted: Sun May 27, 2007 4:58 am
Post subject: This module is not correctly installed

This module is not correctly installed, the files are version 9.1.3, but the database is version


that is the error i get when i try to visit either user blog page or admin section for blogs







i use df 9.1.2.1


Dizfunkshunal's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
mulitple server setups/ DF9 and 10
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Sun May 27, 2007 11:26 am
Post subject: Re: This module is not correctly installed

That means you had an older version of Blogs and haven't upgraded the module after uploading new files.

admin.php?op=modules
Click edit and upgrade Blogs to the newer file version.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Thu May 31, 2007 7:25 am
Post subject: Blogs Error

I upgraded my blogs to 9.1.3 from 2.1.3 I believe it was, after numerous errors I eventually removed all the database entries of the blogs meaning I lost my previous members blogs, and now the blogs module still states

"This module is not correctly installed, the files are version 9.1.3, but the database is version

The site administrator needs to correctly install the module."

I also deleted all related blog fules re-uploaded and still the error persists, this is after I deleted the site cache.


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Thu May 31, 2007 7:39 am
Post subject: Re: Blogs Error

Completely fresh install on this site gives the same error:

www.worldwidechatters.com/index.php


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu May 31, 2007 9:04 am
Post subject: Re: Blogs Error

To my knowledge there wasn't a 2.1.3 version?

The only reason it should give that error on upgrade is if you haven't upgraded the module after installing it - there are database changes.

If it's happening on a fresh install, then something else is wrong in your system whether that be cache or that you hadn't uninstalled the previous version.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Thu May 31, 2007 8:10 pm
Post subject: Re: This module is not correctly installed

On a completely fresh install, with a deleted cache, no database entries for a blog I'm faced with the error above, this is an almost empty dragonfly system, I just did this on a test site.


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu May 31, 2007 8:17 pm
Post subject: Re: This module is not correctly installed

Well, I can't explain it - Blogs just does a simple check with the cached active_modules list and compares that against it's internal version - if they don't match, you get aversion error.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Fri Jun 01, 2007 7:45 am
Post subject: Re: This module is not correctly installed

Sorry it was version 2.0.99.52, which I just installed again, and is now receiving the same message, I'm going to try completely deleting everything related to blogs and start from scratch. I think I actually had this problem previously and managed to solve it.


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Fri Jun 01, 2007 7:56 am
Post subject: Re: This module is not correctly installed

Sorry to bang on and post again, but another completely fresh install and the same thing is happening, before I installed I made sure there was no blog fields in the database, also deleted the cache system and every file related to blogs.

I then uploaded and clicked on install, got the usual your installation was successful, clicked on blogs and can't access then as its apparently not got the correct database version.


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Fri Jun 01, 2007 8:37 am
Post subject: Re: This module is not correctly installed

Well, like I said before, I simply don't know why - it's a simple check that Blogs does.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Dizfunkshunal
Operator
Operator

Offline Offline
Joined: May 26, 2007
Posts: 69

PostPosted: Fri Jun 01, 2007 8:40 pm
Post subject: Re: This module is not correctly installed

Thats was the firs t time i ever installed blogs. and how after I activated the module everything started working properly. thanks

_________________
DizWebDesign

Dizfunkshunal's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
mulitple server setups/ DF9 and 10
Back to top
View user's profile Visit poster's website
Bluefin221
Nice Poster
Nice Poster

Offline Offline
Joined: Jun 01, 2006
Posts: 29

PostPosted: Sat Jun 02, 2007 7:31 am
Post subject: Re: This module is not correctly installed

Dizfunkshunal wrote:
Thats was the firs t time i ever installed blogs. and how after I activated the module everything started working properly. thanks

Utterly bizarre I activated it after what you said, and its now working.


Bluefin221's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Mon Jun 04, 2007 1:32 am
Post subject: Re: This module is not correctly installed

Not bizarre at all - it quite sensibly insists on being activated so that it can verify that it has been correctly installed. In order to check the module has been upgraded, and many admins do fail to install updates correctly, it checks against the cached active modules, rather than waste an extra database query. IMO, if all modules were setup like this, it would save developers a lot of wasted time.

However, the original concept is slightly flawed in its approach. In the next release, I shall modify the code so that it first tells you that it needs to be activated to carry out some checks. Then if the version is unsatisfactory, it will tell you to install/upgrade the module correctly before it can proceed.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Display posts from previous:   
Post new topic    Reply to topic    Printer Friendly Page    Forum Index »  Community » BlogsPlus
Page 1 of 1
All times are GMT + 9.5 Hours



Jump to:  


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum